clear
close tables

set	procedure to ExportData.cc additive

x = new ExportData()

x.SetSource('txt', 'DelimFile.txt', '.\')

	x.AddSchemaOptions(x.Source, 'Format',				'Delimited(;)'	)
	x.AddSchemaOptions(x.Source, 'DecimalSymbol',	','				)


	x.AddSchemaColumns(x.Source, 'Col1', 'Years',	'LONG')
	x.AddSchemaColumns(x.Source, 'Col2', 'Text1',	'CHAR')
	x.AddSchemaColumns(x.Source, 'Col3', 'Text2',	'Text width 40')
	x.AddSchemaColumns(x.Source, 'Col4', 'Text3',	'Text')
	x.AddSchemaColumns(x.Source, 'Col5', 'Text4',	'Text')
	x.AddSchemaColumns(x.Source, 'Col6', 'Text5',	'Text')
	x.AddSchemaColumns(x.Source, 'Col7', 'Text6',	'CHAR')
	x.AddSchemaColumns(x.Source, 'Col8', 'qty',		'FLOAT')
	x.AddSchemaColumns(x.Source, 'Col9', 'price',	'FLOAT')
	x.AddSchemaColumns(x.Source, 'Col10','currencys','Text width 3')
	x.AddSchemaColumns(x.Source, 'Col11','country',	'Text width 2')
	x.AddSchemaColumns(x.Source, 'Col12','Text7',	'Text width 3')
	x.AddSchemaColumns(x.Source, 'Col13','Bool1',	'Bit')

Fxlsx	= getenv('Temp')+ '\' + 'ExportedXls.xlsx'
Fdbf	= getenv('Temp')+ '\' + 'ExportedDBF'


?;?'Copy to excel'

x.ListSource(19)

x.SetDestination( 'xlsx', 'ExportedData', Fxlsx )
x.Copy()



?;?'Copy to DBF'

x.ListSource(19)

x.SetDestination( 'dbf', Fdbf )
x.Copy()


release object x

use (Fdbf)

?
?'XLSX File',Fxlsx 
?'DBF  File',dbf()

close procedure ExportData.cc

return